Package Scientific :: Package BSP :: Class ParIndex

[frames] | no frames]

# Class ParIndex

    object --+
             |
            ParIndex

Known Subclasses:
  - core.ParSlice

Parallel index value

ParIndex objects are returned by ParIndexIterator. They are not meant ot be created in any other way.

Instance Methods

__init__(self, index, valid=1) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

__repr__(self) repr(x) |

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__str__`

Class Variables
| is_parindex = `1`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, index, valid=1)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

repr(x)

Overrides: object.__repr__
  (inherited documentation)